List used shapes?
I have several old drawings where there are objects that are drawn as shapes and not as blocks. Is there any method to identify where these are?
0
Comments
-
(command "_.zoom" "_object" (ssget "_X" '((0 . "SHAPE"))) "")
0 -
Thanks!
That command is useful to determine if there is such shape or if it does not exist any at all.
It would have been good if you could see that, for example, shape K19 is in layer 25 and so on...0 -
Use Quick Select to select the shapes and then invoke the List command.
0 -
Eh?Roy Klein Gebbinck said:Use Quick Select to select the shapes and then invoke the List command.
Explain how to do to that.
0 -
It's difficult to explain in words, but important to know about. See video:Mikael63 said:
Eh?Roy Klein Gebbinck said:Use Quick Select to select the shapes and then invoke the List command.
Explain how to do to that.
QuickSelect - BricsCAD
Two clicks will tell you if there are any Shapes in the file, and two more will select & highlight all of them.
If you do it a lot, you could make a custom tool that selects all Shapes.
I've never used Shapes, but judging from Roy's post I assume it would be:(ssetfirst nil (ssget "_X" '((0 . "SHAPE"))))
or(defun c:ShowShapes () (ssetfirst nil (ssget "_X" '((0 . "SHAPE")))))
The LIST command lists properties of all selected entities.0 -
Try this shows the name of shapes can get more properties.
(defun c:dumpshape ( / ss x)
(setq ss (ssget "X" '((0 . "SHAPE"))))
(if (= ss nil)
(princ "\nno shapes ")
(progn
(repeat (setq x (sslength ss))
(princ (strcat "\nshape name " (cdr (assoc 2 (entget (ssname ss (setq x (1- x))))))))
)
)
)
(princ)
)
(c:dumpshape)0 -
Thanks!ALANH said:Try this shows the name of shapes can get more properties.
(defun c:dumpshape ( / ss x)
(setq ss (ssget "X" '((0 . "SHAPE"))))
(if (= ss nil)
(princ "\nno shapes ")
(progn
(repeat (setq x (sslength ss))
(princ (strcat "\nshape name " (cdr (assoc 2 (entget (ssname ss (setq x (1- x))))))))
)
)
)
(princ)
)
(c:dumpshape)
This is good enough for me!
0 -
Express tools has a SHP2BLK command, which will convert shapes to blocks. And with BricsCAD V23, Express tool commands are now built-in.
Regards,
Jason Bourhill
BricsCAD V23 Ultimate
CAD Concepts0 -
Yes, see https://forum.bricsys.com/discussion/37896/shp2blkJason Bourhill said:Express tools has a SHP2BLK command, which will convert shapes to blocks. And with BricsCAD V23, Express tool commands are now built-in.
Regards,
Jason Bourhill
BricsCAD V23 Ultimate
CAD Concepts
Does not work...0 -
Pretty sure this is problem line WMFIN not supported.
(command "_.WMFIN" FIL UPLFT "2" "" "")0